Package com.io7m.cedarbridge.schema.compiler.api

# Record Class CBSchemaCompilerConfiguration

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.compiler.api.CBSchemaCompilerConfiguration

Record Components:
  `includeDirectories` - The list of directories within which to search for packages
  `filesToCompile` - The list of files to compile

public record CBSchemaCompilerConfiguration(List<Path> includeDirectories, List<Path> filesToCompile) extends Record
The compiler configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBSchemaCompilerConfiguration(List<Path> includeDirectories, List<Path> filesToCompile)`
  The compiler configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `List<Path>`
  `filesToCompile()`
  Returns the value of the `filesToCompile` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<Path>`
  `includeDirectories()`
  Returns the value of the `includeDirectories` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBSchemaCompilerConfiguration

    public CBSchemaCompilerConfiguration(List<Path> includeDirectories, List<Path> filesToCompile)
    The compiler configuration.
    Parameters:
      `includeDirectories` - The list of directories within which to search for packages
      `filesToCompile` - The list of files to compile

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### includeDirectories

    public List<Path> includeDirectories()
    Returns the value of the `includeDirectories` record component.
    Returns:
      the value of the `includeDirectories` record component

  - ### filesToCompile

    public List<Path> filesToCompile()
    Returns the value of the `filesToCompile` record component.
    Returns:
      the value of the `filesToCompile` record component